Bug 1395767 (CVE-2016-9445) - CVE-2016-9445 gstreamer-plugins-bad-free: Integer overflow when allocating render buffer in VMnc decoder
Summary: CVE-2016-9445 gstreamer-plugins-bad-free: Integer overflow when allocating re...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-9445
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1396196 (view as bug list)
Depends On: 1395770 1395771 1395768 1395769 1395772 1399070 1400820 1400821 1400838 1400839 1400897 1400898 1400910
Blocks: 1395773
TreeView+ depends on / blocked
 
Reported: 2016-11-16 15:56 UTC by Adam Mariš
Modified: 2019-09-29 14:00 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An integer overflow flaw, leading to a heap-based buffer overflow, was found in GStreamer's VMware VMnc video file format decoding plug-in. A remote attacker could use this flaw to cause an application using GStreamer to crash or, potentially, execute arbitrary code with the privileges of the user running the application.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:02:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2974 normal SHIPPED_LIVE Important: gstreamer-plugins-bad-free security update 2016-12-21 17:13:11 UTC
Red Hat Product Errata RHSA-2017:0018 normal SHIPPED_LIVE Moderate: gstreamer-plugins-bad-free security update 2017-01-05 14:15:14 UTC
Red Hat Product Errata RHSA-2017:0021 normal SHIPPED_LIVE Moderate: gstreamer1-plugins-bad-free security update 2017-01-05 15:05:27 UTC

Description Adam Mariš 2016-11-16 15:56:00 UTC
An integer overflow vulnerability was found when allocating render buffer in vmnc decoder that results into heap buffer overflow.

External References:

https://scarybeastsecurity.blogspot.com/2016/11/0day-poc-risky-design-decisions-in.html?m=1

Comment 1 Adam Mariš 2016-11-16 15:57:09 UTC
Created mingw-gstreamer1 tracking bugs for this issue:

Affects: fedora-all [bug 1395771]
Affects: epel-7 [bug 1395772]

Comment 2 Adam Mariš 2016-11-16 15:57:29 UTC
Created gstreamer tracking bugs for this issue:

Affects: fedora-all [bug 1395768]

Comment 3 Adam Mariš 2016-11-16 15:57:42 UTC
Created mingw-gstreamer tracking bugs for this issue:

Affects: fedora-all [bug 1395770]

Comment 4 Adam Mariš 2016-11-16 15:57:54 UTC
Created gstreamer1 tracking bugs for this issue:

Affects: fedora-all [bug 1395769]

Comment 5 Andrej Nemec 2016-11-21 07:48:28 UTC
*** Bug 1396196 has been marked as a duplicate of this bug. ***

Comment 7 Dhiru Kholia 2016-11-28 08:30:50 UTC
Mitigation:

This mitigation is only required if vulnerable gstreamer-plugins-bad-free and/or gstreamer1-plugins-bad-free packages are installed.

For RHEL 7,

sudo rm /usr/lib*/gstreamer-1.0/libgstvmnc.so
sudo rm /usr/lib*/gstreamer-0.10/libgstvmnc.so

For RHEL 6,

sudo rm /usr/lib*/gstreamer-0.10/libgstvmnc.so

Please note that this mitigation deletes the vulnerable VMware NC decoder, which removes the functionality to play VMware movie files.

Comment 10 Dhiru Kholia 2016-11-28 08:46:30 UTC
Created gstreamer1-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1399070]

Comment 11 Wim Taymans 2016-11-28 11:40:57 UTC
Updates to gstreamer1-plugins-bad-free:

f24: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c4004fe99e
f25: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a82e35272c

Comment 15 Dhiru Kholia 2016-12-02 09:37:38 UTC
Created gstreamer-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1400910]

Comment 18 errata-xmlrpc 2016-12-21 12:13:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:2974 https://rhn.redhat.com/errata/RHSA-2016-2974.html

Comment 19 errata-xmlrpc 2017-01-05 09:15:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0018 https://rhn.redhat.com/errata/RHSA-2017-0018.html

Comment 20 errata-xmlrpc 2017-01-05 10:05:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0021 https://rhn.redhat.com/errata/RHSA-2017-0021.html


Note You need to log in before you can comment on or make changes to this bug.